<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>DPathSearchUnit.DPathSearchFunction</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathSearchUnit.DPathSearchFunction";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchUnit.DPathSearchFunction.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.DPathSearchFunction.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.search</div>
<h2 title="Interface DPathSearchUnit.DPathSearchFunction" class="title">Interface DPathSearchUnit.DPathSearchFunction</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathCoord.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathCoord</a>, <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathExpression.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathExpression</a>, <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathFilter.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathFilter</a>, <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathNavigate</a>, <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathTest</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="strong">DPathSearchUnit.DPathSearchFunction</span></pre>
<div class="block">Common interface for function that define a search unit (navigation, filter, test)</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html#apply(fr.inria.alpage.frmgcm.search.DPathSearchMod.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a>&nbsp;sentence,
     java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</code>
<div class="block">Apply the function over an entry set</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="apply(fr.inria.alpage.frmgcm.search.DPathSearchMod.DPathSearchBaseElement, java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>apply</h4>
<pre>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;&nbsp;apply(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMod.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchMod.DPathSearchBaseElement</a>&nbsp;sentence,
                                                                        java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</pre>
<div class="block">Apply the function over an entry set</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>sentence</code> - the base sentence, context of the entry</dd><dd><code>entry</code> - the entry set, list of nodes or edges</dd>
<dt><span class="strong">Returns:</span></dt><dd>the mapped result of the function applied over the set</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchUnit.DPathSearchFunction.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathNavigate.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.DPathSearchFunction.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
